#
# spec file for package mfsm
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mfsm
BuildRequires:  imake
BuildRequires:  openmotif
BuildRequires:  openmotif-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
Url:            http://members.tripod.com/SDHEngSoft/mfsm.html
Version:        1.4
Release:        bp154.1.27
Summary:        X Window System Based du
License:        ISC
Group:          System/Monitoring
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch:          %{name}-%{version}.patch
Patch1:         %{name}-%{version}-file-close.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
X Window Motif utility that monitors free space and user quotas of file
systems.

%prep
%setup -q
%patch
%patch1

%build
xmkmf -a
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make CCOPTIONS="$RPM_OPT_FLAGS" LDFLAGS="-L%_libdir" %{?_smp_mflags}

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot/%_mandir/man1
install -m 0755 mfsm %buildroot/%_bindir
install -m 0644 mfsm._man %buildroot/%_mandir/man1/mfsm.1x
%suse_update_desktop_file -i %name System Filesystem

%files
%defattr(-,root,root)
%_datadir/applications/%name.desktop
%_bindir/mfsm
%doc %_mandir/man1/mfsm.1x.gz
%doc README THANKS TODO FIXES

%changelog
* Fri Jul 26 2013 tchvatal@suse.com
- Fix build on factory and cleanup the specfile
* Tue Mar 27 2012 cfarrell@suse.com
- license update: ISC
  Rights and obligations most akin to ISC license
  (spdx.org/licenses/ISC#licenseText)
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Tue Aug  4 2009 pgajdos@suse.cz
- added missing fclose() [bnc#527724]
* Thu Jul 27 2006 lmichnovic@suse.cz
- builds also with new X.org 7.x, checks the version of X.org
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jun 15 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Thu Feb 26 2004 hmacht@suse.de
- building as non-root
* Sat Aug 16 2003 adrian@suse.de
- add desktop file
* Sat Jan 11 2003 tcrhak@suse.cz
- update to version 1.4
- added BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Jul 31 2001 adostal@suse.cz
- bzip2 source and convert dif to patch
* Mon Nov 20 2000 ro@suse.de
- use openmotif
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 uli@suse.de
- now builds with lesstif
* Tue Sep 15 1998 ro@suse.de
- added lib Xp for motif
* Tue Aug 11 1998 ray@suse.de
- new package
